{: test a compilation error occurs for an assignment of record variant
   members when they have incompatible types
   see also test e008
}

{$d+}
program e011( output );

var
   i : integer;
   r : record
          case boolean of
            true : (ma, mb : array[1..10] of real);
            false: (mx     : array[1..10] of real); { same definition, but different type }
       end;
begin {e011}

   for i := 1 to 10 do r.ma[i] := i+9;
   r.mb := r.ma;  {OK}
   r.mx := r.ma;  { !!! incompatible types }

   writeln( 'fails: incompatible type error not detected' );

end. {e011}

